Forum

Post a new question

Categories:

Tags:

Не устанавливается на Centos 7.2

Eugene 2016-09-14 08:17:00 UTC in Nimble Streamer
C6bb7161450c56b24836aca99d9b7f48

День добрый!

Можно как-то разрешить данную зависимость?

--> Processing Dependency: libva.so.1()(64bit) for package: nimble-transcoder-1.0.1-2.el7.centos.x86_64

Failed to set locale, defaulting to C
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.nsu.ru
* extras: mirror.nsu.ru
* updates: mirror.nsu.ru
Resolving Dependencies
--> Running transaction check
---> Package nimble-transcoder.x86_64 0:1.0.1-2.el7.centos will be installed
--> Processing Dependency: nimble >= 3.0.0-1 for package: nimble-transcoder-1.0.1-2.el7.centos.x86_64
--> Processing Dependency: libspeex.so.1()(64bit) for package: nimble-transcoder-1.0.1-2.el7.centos.x86_64
--> Processing Dependency: libva.so.1()(64bit) for package: nimble-transcoder-1.0.1-2.el7.centos.x86_64
--> Running transaction check
---> Package nimble.x86_64 0:3.0.9-8.el7.centos will be installed
--> Processing Dependency: libzip.so.2()(64bit) for package: nimble-3.0.9-8.el7.centos.x86_64
--> Processing Dependency: libGeoIP.so.1()(64bit) for package: nimble-3.0.9-8.el7.centos.x86_64
---> Package nimble-transcoder.x86_64 0:1.0.1-2.el7.centos will be installed
--> Processing Dependency: libva.so.1()(64bit) for package: nimble-transcoder-1.0.1-2.el7.centos.x86_64
---> Package speex.x86_64 0:1.2-0.19.rc1.el7 will be installed
--> Running transaction check
---> Package GeoIP.x86_64 0:1.5.0-9.el7 will be installed
---> Package libzip.x86_64 0:0.10.1-8.el7 will be installed
---> Package nimble-transcoder.x86_64 0:1.0.1-2.el7.centos will be installed
--> Processing Dependency: libva.so.1()(64bit) for package: nimble-transcoder-1.0.1-2.el7.centos.x86_64
--> Finished Dependency Resolution
Error: Package: nimble-transcoder-1.0.1-2.el7.centos.x86_64 (nimble)
Requires: libva.so.1()(64bit)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Max 2016-09-14 08:40:43 UTC
Ba425406063261ec184229ed0d5a200d

Здравствуйте Евгений,

libva ставится из EPEL-репозитория (http://download.fedoraproject.org/pub/epel/7/), который вроде бы должен быть добавлен по дефолту на CentOS 7.

Max 2016-09-14 08:42:06 UTC
Ba425406063261ec184229ed0d5a200d

Наверное можно и не добавлять репозиторий, а просто руками поставить пакет http://fedora-mirror01.rbc.ru/pub/epel/7/x86_64/l/libva-1.2.1-3.el7.x86_64.rpm

Eugene 2016-09-14 09:20:56 UTC
C6bb7161450c56b24836aca99d9b7f48

Ставил через Vagrant, видимо в Box'е epel не установлен. Проверю. Спасибо!

Post a reply



This website or its third-party tools use cookies, which are necessary to its functioning and required to achieve the purposes illustrated in the Privacy Policy. If you want to know more or withdraw your consent to all or some of the cookies, please refer to the Privacy Policy.
By closing this banner, scrolling this page, clicking a link or continuing to browse otherwise, you agree to the use of cookies.